<?php

define('CURRENT_USER', strtolower(get_current_user()));
define('SETTINGS_FILE', '.' . CURRENT_USER);
define('VERSION', '1.0');

class ExtendedGtkStatusBar extends GtkStatusBar
{
  function set_text($text)
  {
    $this->push($this->get_context_id($text), $text);
  }
}

$accelGroup = &new GtkAccelGroup();
$box = &new GtkVBox();
$feedTree = &new GtkTree();
$menuBar = &new GtkMenuBar();
$statusBar = &new ExtendedGtkStatusBar();
$toolTip = &new GtkToolTips();
$window = &new GtkWindow();

$recfeeds = null;
$settings = null;

function getOS()
{
  if (strpos('WIN', PHP_OS) >= 0)
  {
    $raw_os = `ver`;
    preg_match('/(Win.+)\s+\[/', $raw_os, $matches);
    return $matches[1];
  }
  else if (function_exists('posix_uname'))
  {
    $os_array = posix_uname();
    return $os_array['sysname'] . ' ' . $os_array['release'];
  }
  else
    return PHP_OS;
}

?>